import java.awt.*;
import java.applet.*;

// the Java RMI classes
import java.rmi.registry.*;
import java.rmi.*;

public class StatsClient
{
    public static void main(String args[])
    {
        // the remote object
        Remote statsRemoteObj = null;
        StatsInterface statsInterface = null;

		// set the RMI Security manager
		System.setSecurityManager(new RMISecurityManager());

		System.out.println("Set Security Manager...");

		// get the remote object from the Registry
		try {
	    	statsRemoteObj = Naming.lookup("STATS");
		} catch(Exception exc) {
	    	System.out.println("Error with lookup - " + exc.toString());
	    	System.exit(1);
		}

		System.out.println("Server found in Naming...");

		// now get the server reference
		try {
	    	// cast it to a normal object that we can use
	    	statsInterface = (StatsInterface) statsRemoteObj;
		} catch(Exception exc) {
	    	System.out.println("Error with cast - " + exc.toString());
	    	System.exit(1);
		}

		System.out.println("Server ready to invoke...");

		try {
	    	String stats = statsInterface.getStats("Redskins");
	    	System.out.println("Stats: [" + stats + "]");
		} catch(Exception exc) {
	    	System.out.println("Error during remote invocation - " +
	        exc.toString());
		}
    }
}
